#ifndef config_h_included
#define config_h_included

#define PIN_NRF24_CE 2 /*10*/
#define PIN_NRF24_CSN 15 /*8*/

#define PIN_RELAY1 5
#define PIN_RELAY2 6

// communication protocol definitions
#define nRF_Channel 1
#define THIS_ADRESS 0 // uint8_t address of this node
#define NETWORK_ADDRESS_MASTER_SEND "1ClkM"
#define NETWORK_ADDRESS_MASTER_RECEIVE "2ClkM"

#define DEFAULT_TIME_BETWEEN_CLOCK_ADVERTISEMENTS_ms 60000
#define DEFAULT_TIME_BETWEEN_PAIRING_OFFERINGS_ms 33000
#define DEFAULT_TIME_FOR_CLIENTS_TO_RESPOND_ms 20
#define MIN_TIME_BETWEEN_TRANSMISSIONS_ms 2
#define ADVERTISEMENT_CHANNEL 1
#define DEFAULT_CLOCK_CHANNEL 11

// relay based clock control behaviour
#define DEFAULT_HOLD_RELAY_MS 150
#define DEFAULT_MIN_RELAY_OFF_TIME_MS 80
#define DEFAULT_RELAY_ACTIVE_LOW true

// field sizes
#define MAX_CLOCK_NAME_LEN 8
#define MAX_CLIENT_NAME_LEN 10
#define MAX_TEXT_MESSAGE_LEN 10

#endif
